<script lang="ts" setup>
import { type Product, getImageUrl } from '@/types/Product'

const props = defineProps<{
  product: Product
}>()

const emit = defineEmits<{
  selectedProduct: [Product] // selectedProduct
}>()
const selected = function () {
  console.log(`Productcard` + props.product.type)
  emit('selectedProduct', props.product)
}
</script>

<template>
  <v-sheet
    :min-height="100"
    :min-width="100"
    :max-height="170"
    :max-width="170"
    elevation="5"
    @click="selected"
  >
    <v-img min-width="120" height="120" :src="getImageUrl(product)"></v-img>
    <v-sheet class="text-center">{{ product.name }}</v-sheet>
    <v-sheet class="text-center">{{ product.price }} บาท</v-sheet>
  </v-sheet>
</template>
